Übersicht

ACHTUNG - UNBEDINGT LESEN

eBlendr erleichtert die Arbeit beim Liquid-Mischen für Personen, welche die Grundlagen kennen und verinnerlicht haben! Weder eBlendr noch diese Hilfe sind dafür gedacht dieses Wissen zu vermitteln oder gar zu ersetzen

  1. Einführung
  2. Installation von eBlendr
  3. Der erste Start
  4. Mit eBlendr arbeiten
    1. Das Hauptffenster
    2. Rezeptverwaltung
    3. Basenverwaltung
    4. Aromaverwaltung
    5. Mischen
  5. Einstellungen
    1. Programmeinstellungen
    2. Datenbank


Einführung

Der Grundgedanke bei der Erstellung von eBlendr warm das Mischen (insbesondere in Bezug auf die Basen) zu vereinfachen. So wird z.B. nicht mehr zwischen (Nikotin)-Basis und Propylenglykol bzw. Glycerinquellen unterschieden.

Mischen

  • Gleichzeitige Verwendung von mehreren Basen mit Nikotin
  • Auf Wunsch automatische Auswahl der Basen aus allen verfügbaren Basen mit Kostenoptimierung
  • Festlegung von Volumen und Nikotin erst bei Mischen, keine Ablage im Rezept
  • Verwendung beliebiger Anzahl von Aromen
  • Mischen mit nur einer Basis: Dabei wird durch den Einsatz von H2O sichergestellt, dass die gewünschte Nikotinkonzentration nicht überschritten wird. Wenn ein nikotinfreies Liquid gemischt wird, so wird auf den H2O-Anteil optimiert
  • Mischen mit nur zwei Basen: Bei nikotinfreiem Liquid ausreichend. Ansonsten wird geschaut, ob das Nikotin und PG oder Nikotin und VG passend gemacht werden können. Die Mischung mit geringerer Abweichung wird verwendet.
  • Mischen nach Volumen oder Gewicht
  • Kosten- und Bestandskontrolle (optional)

    • Sonstiges

    Die Daten werden in einer Sqlite Datenbank gespeichert. Das hat den Vorteil, dass sich die Daten einfach sichern lassen und das man die Datenbank z.B. in einem CloudSpeicher wie Dropbox oder auf einem NAS sichern kann, so dass man von allen PCs im Haus Zugriff auf die gleichen Rezepte hat. Des Weiteren wird durch einen anderen Autor an einer Android App gearbeitet, welche sich mit eBlendr synchronisieren lässt.


Der erste Start

Damit eBlendr arbeiten kann wird eine entsprechende Datenbankdatei benötigt. Bei dem ersten Start wird deshalb die Datenbankmaske geöffnet über die entweder eine bereits vorhandene eBlendr-Datenbank verwendet oder eine neue eBlendr-Datenbank erstellt wird.


Kein Titel

Mit eBlendr arbeiten

Vor dem ersten Mischen sollten die notwendigen Aromen, Basen und Rezepte erfasst werden

  1. Hauptfenster
  2. Rezeptverwaltung
  3. Basenverwaltung
  4. Aromenverwaltung
  5. Mischen


Hauptfenster

  • Übersicht
  • Schnellzugriff
  • Dateimenu
  • Ribbon Leiste
  • Anzeigebereich
  • Infoleiste

Übersicht

Schnellzugriff

Neues Rezept, neue Basis oder neues Aroma hinzufügen - je nach aktueller Ansicht

Diese Hilfe öffnen

Dateimenu

Neues Rezept: Die Rezeptverwaltung zur Erfassung eines neuen Rezeptes wird geöffnet.

Datenbank: Die Datenbankverwaltung wird geöffnet, insbesordere um eine neue oder eine andere bestehende zu verwenden. Wird im Normalfall nicht benötigt.

zuletzt gemischte Rezepte: Durch Anwahl einen Eintrages, entweder durch die Maus oder durch Drücken der entsprechenden Nummerntaste, wird das Mischfenster zu dem Rezept geöffnet.

Einstellungen: Öffnet das Einstellungenfenster.

Beenden: Beendet eBlendr.

Ribbon Leiste

In der Ribbon Leiste sind verschiedene funktionale Bereiche vorhanden

Ansicht

Über diese Schaltflächen wird ausgewählt, welcher Inhalt im Anzeigebereich tabellarisch dargestellt wird.

Filter

Bei Eingabe in dem Textfeld werden direkt die im Anzeigebereich dargestellten Daten gefiltert. Es wird in jedem Fall die Spalte Name durchsucht. Die Einbeziehung der Spalte Beschreibung wird durch die Checkbox unterhalb der Textbox gesteuert. Groß-/Kleinschreibung wird beim Filter nicht berücksichtigt.

Bearbeiten

Die Aktion der Buttons in diesem Bereich bezieht sich jeweils auf die im Anzeigebereich angezeigten Daten (also entweder Rezept, Basis oder Aroma) - Ändern und Löschen auf die dort ausgewählte Zeile.

Mischen

Nur in der Ansicht Rezepte verfügbar. Es wird das im Anzeigebereich angewählte Rezept gemischt.

Anzeigebereich

Die angezeigten Spalten hängen von der gewählten Ansicht aber auch teilweise von den Programmeinstellungen ab (Bestand wird nur bei aktivierter Bestandsverwaltung angezeigt).

Durch Doppelklick auf einen Eintrag wird dieser zur Bearbeitung in dem jeweiligen Bearbeitungsfenster geöffnet.

Die Spaltenreihenfolge lässt sich für jede Ansicht durch Drag&Drop verändern. Als Standardsortierung wird die Spalte Name in aufsteigender Reihenfolge verwendet. Durch Klicken auf die Spaltenüberschriften kann sowohl die Sortierspalte als auch die Sortierreihenfolge geändert werden.

Bei aktivierter Bestandsverwaltung und eingestellten Grenzwerten werden Basen und Aromen mit einer Menge unterhalb des Grenzwertes farblich hervorgehoben.

Infoleiste

Anzeige der im Anzeigebereich dargestellten Einträge.


Rezeptverwaltung

Die Rezeptverwaltung wird aufgerufen durch

  • Auswahl des Punktes Neues Rezept im Dateimenu
  • Anwahl des Neu-Buttons im Schnellwahlbereich oder des Neu-Buttons im Ribbon Bereich bei Ansicht Rezepte
  • Anwahl des Bearbeiten-Buttons im Ribbon Bereich bei Ansicht Rezepte
  • Doppelklick auf ein Rezept im Anzeigebereich

Grundzusammensetzung

Die vorgeschlagene Grundzusammensetzung bei neuen Rezepten hängt von den Einstellungen zu den Rezepten ab. Es können dort entweder feste Werte vorgegeben werden oder es wird jeweils die letzte Einstellung bei einem Rezept verwendet.

Aromen

Beim Hinzufügen einen neuen Aromas oder dem Ändern eines bereits eingetragenen Aromas wird die gespeicherte Standardkonzentration für diese Aroma eingetragen, aber kann überschrieben werden.


Basenverwaltung

Mit der Basenverwaltung werden sowohl die klassischen Nikotinbasen aber auch die sogenannten PG und VG-Quellen verwaltet. Neben dem Aromen werden nur die hier erfassten Basen und reines Wasser zur Mischung herangezogen!

Die Basenverwaltung wird aufgerufen durch

  • Anwahl des Bearbeiten-Buttons oder des Neu-Buttons im Ribbon Bereich bei Ansicht Rezepte
  • Doppelklick auf ein Rezept im Anzeigebereich

Zusammensetzung

Wir bei dem Propylenglykol oder dem Glycerin ein Wert 90% oder größer vorgegeben, so wird das restliche Volumen automatisch mit Wasser aufgefüllt.


Aromenverwaltung

Konzentration

Der bei der Standardkonzentration angegebene Wert wird bei dem Hinzufügen von neuen Aromen in Rezepten als Konzentration vorbelegt.

Trägerstoff

Bei den meisten Aromen wird PG als Trägerstoff verwendet. Somit sollte der Trägerstoff nur geändert werden, wenn dies ausdrücklich bekannt ist. Wird als Trägerstoff Sonstiges ausgewählt, so kann und sollte das spezifische Gewicht des Trägerstoffs angegeben werden.

Wird ein Aroma mit einem anderen Trägerstoff als PG oder VG in einem Rezept verwendet, so wird beim Mischen das Aroma in Bezug auf die Verteilung von PG, VG und Wasser neutralisiert.


Mischen

Das Mischen ist das Herzstück von eBlendr. Im Folgenden kann man sehen, welche Flexibilität geboten wird.

  • Aufbau des Fensters
    • Übersicht
    • Mischvorgaben
    • Basen
    • Mischung
  • Mischvorgehen
    • Standardvorgehen
    • Besonderheiten bei Verwendung von Fertigbasen
    • Mischen mit wenig Basen
      • Verwendung von nur einer Basis
      • Verwendung von nur zwei Basen

Aufbau des Fensters

Übersicht

Mischvorgaben

In den Einstellungen zu der Mischung kann eingestellt werden, ob immer eine bestimmte Menge und Nikotinkonzentration oder die zuletzt verwendeten Werte vorgeschlagen werden.

Basen

Hier werden die zu verwendenen Basen ausgewählt. In den Einstellungen zu den Basen kann festgelegt werden, ob

  • die zuletzt verwendete Baseneinstellung oder
  • die notwendigen Basen mit Kostenoptimierung automatisch ermittelt oder
  • jedes Mal die gleichen Basen vorbelegt

werden. Es ist dabei auch möglich, z.B. mehrere nikotinhaltige Basen oder eine oder mehrere vorgemischte Basen zu verwenden. Weitere Informationen gibt es im Bereich Mischvorgehen.

Mischung

Dieser Fensterbereich wird nur bei erfolgreicher Mischung nach Drücken des Buttons Berechnen eingeblendet. Werden nach einer erfolgreichen Berechnung im oberen Fensterbereich Werte geändert, so wird dieser Bereich wieder ausgeblendet.

Oben rechts in dem Fenster kann ausgewählt werden, ob die Mischangaben nach Volumen oder nach Gewicht angezeigt wird.

Mit dem Button Verbrauchen (nur bei aktivierter Bestandsverwaltung eingeblendet) werden die Bestände der verwendeten Zutaten um die notwendigen Mengen reduziert.

Über Bericht werden neben den Informationen zu der Mischung auch weitere Informationen zu dem Rezept und den verwendeten Aromen in dem druckbaren Bericht angegeben.

Mischvorgehen

Standardvorgehen

Als Standard wird bei nikotinhaltigen Liquids die Verwendung von drei Basen (mindestens eine mit Nikotin) und bei nikotinfreinen Liquids die Verwendung von zwei Basen unterstellt. Dabei wird (sofern nicht anders eingestellt) die verwendete Menge Aroma als Propylenglykol angenommen.

Im Automatikmodus wird unter Verwendung der o.g. Anzahl von Basen die kostengünstigste Mischung ermittelt und angezeigt, sofern möglich.

Besonderheiten bei Verwendung von Fertigbasen

Bei Verwendung bzw. Bestand nur von verschiedenen Fertigbasen mit gewünschtem PG/VG/H20-Verhältnis (aber unterschiedlichem Nikotinwerten) kommt es durch die Aromazugabe zu einer Verschiebung des Verhältnisses, so dass dadurch ggf. im Automatikmodus keine Möglichkeit gefunden wird die Zielmischung zu erreichen. Um dies zu verhindern kann (nicht empfohlen) in den Einstellungen für die Mischung die Beachtung der Aromen als PG deaktivieren. Aber auch in dem Fall wird die Aromamenge bei Liquidmenge und Nikonkonzentration mit berücksichtigt. Diese Einstellung gilt übrigens für alle hier vorgestellten Verfahren

Grundsätzlich wird jedoch empfohlen, für diesen Fall mit wenig Basen zu mischen und die o.g. Einstellung aktiviert zu lassen.

Mischen mit wenig Basen

Dies funktioniert nur vorausgewählten Basen (Basen automatisch ermitteln deaktiviert).

Verwendung von nur einer Basis
Es wird (bei Bedarf unter Einsatz von Wasser) die korrekte Nikotinkonzentration zu erreichen (ggf. wird diese unter- jedoch nicht überschritten). Soll ein nikotinfreies Liquid gemischt werden, so wird dieses auf den Wassergehalt optimiert. Bei beiden Fällen werden vor Anzeige der Zugabemengen die erreichten Werte angezeigt, wenn diese von den Vorgaben abweichen.

Verwendung von nur zwei Basen
Dies ist nur bei nikotinhaltigen Liquids relevant (für nikotinfreie Liquids ist dies der Standardfall). In jedem Fall wird eine Mischung mit korrektem Nikotingehalt ermittelt. Es werden die Mischungen mit passendem PG und VG-Gehalt ermittelt und die Mischung angezeigt, bei der die Abweichung der jeweils anderen Zielkomponente geringer ist. Weichen die erreichten Werte von den Vorgaben ab, so werden diese vor der Anzeige der Zugabemengen angezeigt.


Einstellungen

  1. Programmeinstellungen
  2. Datenbank


Programmeinstellungen

  • Anwendung
  • Rezepte
  • Basen
  • Mischung
  • Bestandsverwaltung

Anwendung

Ist die Updateprüfung aktiviert, so kann bei dem Vorliegen einer neuen Version diese heruntergeladen und installiert werden.

Die Benutzeroberfläche kann in silber, blau und schwarz gehalten werden.

Optional kann in der jeweiligen Übersichtsanzeige das spezfische Gewicht des Aromas, der Basis oder der angestrebten Mischung angezeigt werden.

Rezepte

Für die Erstellung neuer Rezepte kann ausgewählt werden, ob die zuletzt verwendete Grundmischung oder immer feste Werte vorgeschlagen werden.

Basen

Die hier verwendeten Enstellungen werden für das Mischen vorgeschlagen

Mischung

Die Option Beigefügte Aromen als PG-Zugabe berechnen sollte im Normalfall nur dann deaktiviert werden, wenn der Automatikmodus beim Mischen trotz Fertigbasen verwendet werden soll.

Bestandsverwaltung

Mit Aktivierung der Bestandsverwaltung werden folgende Funktionalitäten im eBlendr aktiviert

  • Möglichkeit der Erfassung des Bestands in der Basenverwaltung und der Aromaverwaltung
  • Anzeige des aktuellen Bestands in dem Anzeigebereich des Hauptfensters bei Ansicht Rezepte oder Aromen
  • Verbrauchen der Zutaten beim Mischen (Buttonklick erforderlich)
  • Hervorhebung von Basen und Aromen in dem Anzeigebereich des Hauptfensters die einen Bestand unterhalb der in diesem Fenster definierten Grenzwerte aufweisen.


Datenbank

Die Datenbankverwaltung wird im Normalfall nur beim ersten Start von eBlendr aufgerufen. Jedoch kann über das Dateimenu des Hauptfensters die Datenbankverwaltung jederzeit aufgerufen werden.

Wird eBlendr das erste Mal gestartet und ist (z.B. von Bekannten oder aus früheren Installationen) keine eBlendr-Datenbank vorhanden, so kann der Auswahlbutton [image] für eine neue eBlendr Daten angewählt werden. In dem folgenden Dialog muss keine weitere Einstellung vorgenommen werden - mit Drücken des Speichern-Buttons wird dann eine leere Datenbank für eBlendr angelegt.

Mit Verbinden wird die Datenbank verwendet.


Installation

Systemvoraussetzungen

  • Microsoft Windows 7 oder höher
  • Microsoft .Net 4.5 Framework

Installation durchführen

Für die Installation muss nur die Installationsdatei eBlendrSetup.exe ausgeführt werden. Dafür muss ggf. zuvor die Datei eBlendrSetup.zip enpackt werden. Zum Abschluss der Installation kann eBlendr direkt gestartet werden.

Für die Installation sind Administratorrechte erforderlich. Sollte der aktuelle Benutzer keine Administratorrechte besitzen, erscheint die Aufforderung die Benutzerdaten eines Benutzers mit Administratorrechten einzugeben.

Updates

Standardmäßig wird bei Start von eBlendr überprüft, ob eine neuere Version verfügbar ist (abschaltbar in den Einstellungen). Ist eine neuere Version verfügbar, so wird diese auf Nachfrage heruntergeladen und installiert. Alle bisherigen Einstellungen und Daten bleiben dabei erhalten.